Bug 1422443 - bsd-games: arithmetic should not use getrandom
Summary: bsd-games: arithmetic should not use getrandom
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bsd-games
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Makey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora26GlibcInterpositionTracker
TreeView+ depends on / blocked
 
Reported: 2017-02-15 11:04 UTC by Florian Weimer
Modified: 2017-03-07 00:49 UTC (History)
3 users (show)

Fixed In Version: bsd-games-2.17-51.fc24 bsd-games-2.17-51.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 19:19:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Florian Weimer 2017-02-15 11:04:06 UTC
/usr/bin/arithmetic defines a function called “getrandom” which overrides the glibc function of the same name.  However, the arithmetic version behaves in a completely different way.  This can lead to problems in the future, particularly if the program starts to link to against additional shared objects, or if it uses NSS (the Name Service Switch in glibc).

Comment 1 Fedora Update System 2017-02-20 01:00:43 UTC
bsd-games-2.17-51.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2daf75908

Comment 2 Fedora Update System 2017-02-20 01:00:59 UTC
bsd-games-2.17-51.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd7af6eb98

Comment 3 Fedora Update System 2017-02-20 20:23:20 UTC
bsd-games-2.17-51.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd7af6eb98

Comment 4 Fedora Update System 2017-02-20 21:22:16 UTC
bsd-games-2.17-51.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2daf75908

Comment 5 Fedora End Of Life 2017-02-28 11:18:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora Update System 2017-03-06 19:19:55 UTC
bsd-games-2.17-51.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-03-07 00:49:46 UTC
bsd-games-2.17-51.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.